Bug 150756 - No way to reopen Output Window tab for running process after closed
No way to reopen Output Window tab for running process after closed
Status: CLOSED WONTFIX
Product: python
Classification: Unclassified
Component: Build
6.x
All All
: P3 (vote)
: TBD
Assigned To: amitksaha
issues@python
issue_reviewed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 18:40 UTC by tonybeckham
Modified: 2017-06-23 08:05 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tonybeckham 2008-10-20 18:40:42 UTC
When you run a program that has user input and you close the console output window the IDE tray shows that it is still
running.  I think that either closing the window should terminate the running process, or have a way to reopen the
window like through the Window|Output menu item.

System:
Product Version: NetBeans IDE 6.5 RC1 (Build 20081020152705)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.5 running on i386; MacRoman; en_US (nb)

To Reproduce:
-Create a new python project
-Add some kind of code to get user input:
     age = input('How old are you?')
     print 'And this is your age: ', age
-Run the file
-Close the Console Output window, IDE tray still shows running and there is no way to get the window back
-close the tray message and confirm to actually end
Comment 1 tonybeckham 2008-10-20 20:03:14 UTC
Actually this is the same behavior for all of netbeans.  Java application and has same behavior.  Marking as an
enhancement and changing Component value.
Comment 2 Jesse Glick 2010-07-01 14:32:45 UTC
If you want to stop the process, use the Stop button or Run > Stop, at least for Ant and Maven builds. In the case of Ant, you can reopen the Output Window tab by clicking on the IDE's progress handle for the build. Perhaps Python execution does not implement the same.
Comment 3 Jesse Glick 2010-07-01 14:33:16 UTC
[Note that the Version field for this component does not have 6.5 or 6.7 entries.]
Comment 4 Jenselme 2017-06-22 22:10:10 UTC
Not sure it is still relevant with the current version. Closing this as old bug. If this is still a thing, please reopen and accept my apologies.
Comment 5 Jiri Kovalsky 2017-06-23 08:05:56 UTC
Thanks for your evaluation Julien. Reporter, if you think your issue is still valid and needs to be addressed, don't hesitate to reopen it with additional information. Closing for now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo